Ubuntu

linux-ti-omap4: 2.6.35-903.32 -proposed tracker

Reported by Herton R. Krzesinski on 2012-02-28
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
Tobin Davis
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
ubuntu-armel-kernel
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Maverick
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.35-903.32 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 28. February 2012 17:25 UTC
kernel-stable-Certification-testing-end:Tuesday, 28. February 2012 17:31 UTC
kernel-stable-Prepare-package-end:Tuesday, 28. February 2012 21:16 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 28. February 2012 21:16 UTC
kernel-stable-Promote-to-proposed-end:Monday, 05. March 2012 16:34 UTC
kernel-stable-Verification-testing-start:Monday, 05. March 2012 16:34 UTC
kernel-stable-Security-signoff-start:Monday, 05. March 2012 18:46 UTC
kernel-stable-Verification-testing-end:Monday, 05. March 2012 18:45 UTC
kernel-stable-Regression-testing-start:Monday, 05. March 2012 18:45 UTC
kernel-stable-Regression-testing-end:Tuesday, 06. March 2012 01:30 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 06. March 2012 14:15 UTC
kernel-stable-Security-signoff-end:Tuesday, 06. March 2012 14:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 06. March 2012 17:46 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 06. March 2012 17:46 UTC

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-ti-omap4 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: maverick
Changed in kernel-sru-workflow:
status: New → In Progress
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-ti-omap4 (Ubuntu Maverick):
status: New → Confirmed
Brad Figg (brad-figg) on 2012-02-28
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2012-03-05
Changed in linux-ti-omap4 (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-03-05
description: updated
Herton R. Krzesinski (herton) wrote :

This is a respin to fix a QA regression, everything was already verified.

Brad Figg (brad-figg) on 2012-03-05
description: updated
Tobin Davis (gruemaster) wrote :

Passed all tests, including mmap tests from earlier bug.

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-03-06
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-03-06
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 2.6.35-903.32

---------------
linux-ti-omap4 (2.6.35-903.32) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #942766

  [ Paolo Pisati ]

  * [Config] Move to a 3G/1G memory split
    - LP: #861296

linux-ti-omap4 (2.6.35-903.31) maverick-proposed; urgency=low

  * Release Tracking Bug
    - LP: #932237

  [ Upstream Kernel Changes ]

  * net: ip_expire() must revalidate route
    - LP: #922051
    - CVE-2011-1927
  * inotify: stop kernel memory leak on file creation failure
    - LP: #917797
    - CVE-2010-4250
  * inotify: fix double free/corruption of stuct user
    - LP: #869203
    - CVE-2011-1479
  * fuse: verify ioctl retries
    - LP: #917804
    - CVE-2010-4650
  * ima: fix add LSM rule bug
    - LP: #917808
    - CVE-2011-0006
  * bridge: Fix mglist corruption that leads to memory corruption
    - LP: #917813
    - CVE-2011-0716
  * sound/oss: remove offset from load_patch callbacks
    - LP: #925337
    - CVE-2011-1476
  * ARM: 6891/1: prevent heap corruption in OABI semtimedop
    - LP: #925373
    - CVE-2011-1759
  * sound/oss/opl3: validate voice and channel indexes
    - LP: #925335
    - CVE-2011-1477
  * Fix for buffer overflow in ldm_frag_add not sufficient
    - LP: #922371
    - CVE-2011-2182
  * AppArmor: fix oops in apparmor_setprocattr
    - LP: #789409
    - CVE-2011-3619
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 28 Feb 2012 14:33:28 -0300

Changed in linux-ti-omap4 (Ubuntu Maverick):
status: Confirmed → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers